Bug 591381 - Unable to hibernate a Thinkpad T500
Summary: Unable to hibernate a Thinkpad T500
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-12 04:56 UTC by Devin Reade
Modified: 2011-01-15 00:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-15 00:18:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
dmesg (63.42 KB, text/plain)
2010-05-12 04:56 UTC, Devin Reade
no flags Details
dmesg from F12 for which hibernate works (62.39 KB, text/plain)
2010-05-21 04:39 UTC, Devin Reade
no flags Details

Description Devin Reade 2010-05-12 04:56:14 UTC
Created attachment 413324 [details]
dmesg

Description of problem:

I'm seeing a problem that is similar to that described in https://bugzilla.redhat.com/show_bug.cgi?id=575898 where gnome-power-manager doesn't think that my T500 can hibernate.  However in this case the output of

dbus-send --system --dest=org.freedesktop.DeviceKit.Power --print-reply /org/freedesktop/DeviceKit/Power org.freedesktop.DeviceKit.Power.Hibernate

is:

Error org.freedesktop.DeviceKit.Power.GeneralError: No kernel support

I first ran into this while using encrypted volumes, but reinstalled with no encryption to debug it, and the problem persists.  dmesg is attached.

I tried to use the "resume=" kernel arg described elsewhere, but ran into the problem described in https://bugzilla.redhat.com/show_bug.cgi?id=588354

Version-Release number of selected component (if applicable): 004-14-el6


How reproducible: always

Comment 2 RHEL Program Management 2010-05-12 05:58:44 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Harald Hoyer 2010-05-12 09:21:57 UTC
(In reply to comment #0)
> I tried to use the "resume=" kernel arg described elsewhere, but ran into the
> problem described in https://bugzilla.redhat.com/show_bug.cgi?id=588354

then you have to give dracut a hint that it should activate the swap partition as well...

e.g. if it is on a LVM logical volume, add rd_LVM_LV=vg_hostname/lv_swap ... or remove all rd_LVM_* parameters

Comment 4 Harald Hoyer 2010-05-12 09:25:19 UTC
see also bug 572771

Comment 5 Devin Reade 2010-05-12 21:36:55 UTC
Please reopen this as the above is not a fix.

I tried the following variants, independently:
  + removed all rd_LVM_* parameters
  + added rd_LVM_LV=vg0/swap
  + with and without acpi_sleep=s3_bios

In all cases, I get the following:

# lshal | grep can_suspend
  power_management.can_suspend = true  (bool)
  power_management.can_suspend_hybrid = false  (bool)
  power_management.can_suspend_to_disk = false  (bool)
  power_management.can_suspend_to_ram = true  (bool)

The dbus-send command originally described still returns "No kernel support"

Comment 6 Harald Hoyer 2010-05-14 10:28:00 UTC
this is not a dracut bug, then..

Comment 7 Devin Reade 2010-05-14 16:25:21 UTC
Perhaps it's not due to dracut, but it is still a problem.  Per the submission guidelines, I made a guess as to the component.

Perhaps it could be reopened and assigned elsewhere, then? (I'm limited to changing it to "assigned", but it's not clear to me that that is the correct state in the bugzilla workflow since the previous state was NEW.)

If additional diags/info are needed to figure out from where this problem originates, I'd be happy to assist.  I just don't know right now what to look for.

Comment 8 Devin Reade 2010-05-14 16:35:20 UTC
When changing the kernel args, was I supposed to do any other steps like regenerate initramfs or anything?  All I did was change kernel args and reboot.

Comment 9 Devin Reade 2010-05-21 04:36:24 UTC
Ok, I've reinstalled F12 on the exact same machine and hibernation works for that distro.

lshal on F12 shows:

$ lshal | grep can_suspend
  power_management.can_suspend = true  (bool)
  power_management.can_suspend_hybrid = false  (bool)
  power_management.can_suspend_to_disk = true  (bool)
  power_management.can_suspend_to_ram = true  (bool)

So what diagnostics do you need me to retrieve to determine the difference in
this case between RHEL6 and F12?  If you need to pass this bug off to someone else please do so, but *please* don't just close it off with a "works for me".  Thanks.

I will attach the F12 dmesg (which is a lower version of the kernel).

Comment 10 Devin Reade 2010-05-21 04:39:34 UTC
Created attachment 415577 [details]
dmesg from F12 for which hibernate works

Comment 11 Harald Hoyer 2010-05-21 14:27:21 UTC
reassigning to component kernel

Comment 12 RHEL Program Management 2010-07-15 14:02:29 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 13 Stanislaw Gruszka 2010-10-26 06:35:17 UTC
I have T-500 on my desk and hibernate works. 

Devin, did you try updated kernel? You can download one from http://people.redhat.com/sgruszka/rhel6/bz628409/ . Please check if it works for you.


Note You need to log in before you can comment on or make changes to this bug.